# ESTKme 2.x 與 3.x 產品的韌體升級

產品韌體升級是為了解決產品在使用過程中出現的問題，或者為了增加新的功能，提高產品的性能和穩定性。

升級產品韌體您需要將卡片插入到 智慧卡讀卡機 中，然後將 智慧卡讀卡機 連接至 電腦 上。

例如使用：ESTKme-RED (https://www.estk.me/product/estkme-red/)

目前最新韌體版本為 3.4.3

## 適用於的產品

1. ESTKme-ES
2. ESTKme-400K
3. ESTKme-ECO (2024)
4. ESTKme-ECO Lite (2024)

## 適用於的 Bootloader 版本

1. T000V06
2. T001V02
3. T001V03
4. T001V04
5. T001V05
6. T001V06
7. T002V01
8. T002V06

## 產品韌體升級的方法

您可以通過以下方法將產品的韌體升級到最新版本：

若您的電腦系統為 Windows，那麼您應當運行 `fwupgrade.bat`。

若您的電腦系統為 macOS，那麼您應當運行 `fwupgrade.command`。

若您的電腦系統為 Linux，那麼您應當運行 `fwupgrade.sh`。

## 升級失敗

1. 若使用 ESTKme-RED 升級失敗，請注意您的 ESTKme-RED 智慧卡讀卡機韌體是否為 1.1.3 或高於版本。
2. 若您正在使用 Windows，請不要使用管理員權限運行升級工具。
3. 請確保您處在正確的工作目錄下，升級工具會自動檢測韌體文件。

## 致 ES 和 400K 用戶

若您的產品韌體仍然為 2.x 版本，那麼您應當進入 ESTKme-2x-T000V06 目錄運行 fwupd.exe 進行升級 BL 至 T000V06 版本。

在此升級完成後您需要按照「產品韌體升級的方法」進行升級產品韌體。

## 致 macOS 用戶

由於 macOS 的安全機制，您請在運行前閱讀 <https://support.apple.com/zh-hk/guide/mac-help/mh40616/mac> 並按指示操作。
